about summary refs log tree commit diff
path: root/utils/autodict_ql/build-codeql.sh
diff options
context:
space:
mode:
authorvan Hauser <vh@thc.org>2021-04-03 18:52:00 +0200
committerGitHub <noreply@github.com>2021-04-03 18:52:00 +0200
commit53facd8882173873a7b78860b0fb49884de90c5b (patch)
tree5bafe92efcf63417e465671815f1ada07737b944 /utils/autodict_ql/build-codeql.sh
parent3ff4ca348c344bded53f53b0d0c4b020a188f26e (diff)
parentd35a90101f1ae51fa022332828209139a7e070ad (diff)
downloadafl++-53facd8882173873a7b78860b0fb49884de90c5b.tar.gz
Merge pull request #856 from Microsvuln/dev
Autodict-QL : Token generation for fuzzing with CodeQL
Diffstat (limited to 'utils/autodict_ql/build-codeql.sh')
-rw-r--r--utils/autodict_ql/build-codeql.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/utils/autodict_ql/build-codeql.sh b/utils/autodict_ql/build-codeql.sh
new file mode 100644
index 00000000..450207f6
--- /dev/null
+++ b/utils/autodict_ql/build-codeql.sh
@@ -0,0 +1,17 @@
+cd ~
+if [ -d "codeql-home" ]; then
+    echo "Exist !"
+    exit 1
+fi
+mkdir codeql-home
+cd codeql-home
+git clone https://github.com/github/codeql.git codeql-repo
+git clone https://github.com/github/codeql-go.git
+wget https://github.com/github/codeql-cli-binaries/releases/download/v2.4.6/codeql-linux64.zip
+unzip codeql-linux64.zip 
+mv codeql codeql-cli
+export "PATH=~/codeql-home/codeql-cli/:$PATH"
+echo "export PATH=~/codeql-home/codeql-cli/:$PATH" >> ~/.bashrc
+codeql resolve languages
+codeql resolve qlpacks
+codeql
\ No newline at end of file